[sas-1126]scsi: hisi_sas: use wait_for_completion_timeout() when clearing ITCT

Bug #1853999 reported by Fred Kimmy on 2019-11-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kunpeng920
Undecided
Unassigned
Ubuntu-18.04
Undecided
Unassigned
Ubuntu-18.04-hwe
Undecided
Unassigned
Ubuntu-19.04
Undecided
Unassigned
Ubuntu-19.10
Undecided
Unassigned
Ubuntu-20.04
Undecided
Unassigned
Upstream-kernel
Undecided
Unassigned
linux (Ubuntu)
Undecided
dann frazier

Bug Description

"[Steps to Reproduce]
1. Close all the PHYS;
2. Inject error;
3. Open one PHY;

[Actual Results]
System is suspended

HGC_DQE_POISON_INTR
[ 2511.679429] hisi_sas_v3_hw 0000:74:02.0: phydown: phy0 phy_state=0xfe
[ 2511.685869] hisi_sas_v3_hw 0000:74:02.0: phydown: phy1 phy_state=0x0
[ 2511.685953] sas: REVALIDATING DOMAIN on port 0, pid:7
[ 2511.692213] hisi_sas_v3_hw 0000:74:02.0: phydown: phy2 phy_state=0x0
[ 2511.692218] hisi_sas_v3_hw 0000:74:02.0: phydown: phy3 phy_state=0x0
[ 2511.697262] hisi_sas_v3_hw 0000:74:02.0: task prep: SAS port0 not attach device
[ 2511.703594] hisi_sas_v3_hw 0000:74:02.0: phydown: phy4 phy_state=0x0
[ 2511.703598] hisi_sas_v3_hw 0000:74:02.0: phydown: phy5 phy_state=0x0
[ 2511.709940] hisi_sas_v3_hw 0000:74:02.0: task exec: failed[-70]!
[ 2511.717234] hisi_sas_v3_hw 0000:74:02.0: phydown: phy6 phy_state=0x0
[ 2511.717239] hisi_sas_v3_hw 0000:74:02.0: phydown: phy7 phy_state=0x0
[ 2511.740405] hisi_sas_v3_hw 0000:74:02.0: phyup: phy6 link_rate=11
[ 2511.742338] sas: executing SMP task failed:-70
[ 2511.759194] sas: done REVALIDATING DOMAIN on port 0, pid:7
[ 2511.764686] sas: REVALIDATING DOMAIN on port 0, pid:7
[ 2511.769731] hisi_sas_v3_hw 0000:74:02.0: task prep: SAS port0 not attach device
[ 2511.777033] hisi_sas_v3_hw 0000:74:02.0: task exec: failed[-70]!
[ 2511.783033] sas: executing SMP task failed:-70
[ 2511.787467] sas: done REVALIDATING DOMAIN on port 0, pid:7
[ 2511.792954] sas: REVALIDATING DOMAIN on port 0, pid:7
[ 2511.797997] hisi_sas_v3_hw 0000:74:02.0: task prep: SAS port0 not attach device
[ 2511.805295] hisi_sas_v3_hw 0000:74:02.0: task exec: failed[-70]!
[ 2511.811291] sas: executing SMP task failed:-70
[ 2511.815727] sas: done REVALIDATING DOMAIN on port 0, pid:7
[ 2511.821212] sas: REVALIDATING DOMAIN on port 0, pid:7
[ 2511.826256] hisi_sas_v3_hw 0000:74:02.0: task prep: SAS port0 not attach device
[ 2511.833555] hisi_sas_v3_hw 0000:74:02.0: task exec: failed[-70]!
[ 2511.839553] sas: executing SMP task failed:-70
[ 2511.843986] sas: done REVALIDATING DOMAIN on port 0, pid:7
[ 2511.849474] sas: REVALIDATING DOMAIN on port 0, pid:7
[ 2511.854518] hisi_sas_v3_hw 0000:74:02.0: task prep: SAS port0 not attach device
[ 2511.861817] hisi_sas_v3_hw 0000:74:02.0: task exec: failed[-70]!
[ 2511.867814] sas: executing SMP task failed:-70
[ 2511.872248] sas: done REVALIDATING DOMAIN on port 0, pid:7
[ 2511.877734] sas: REVALIDATING DOMAIN on port 0, pid:7
[ 2511.882780] hisi_sas_v3_hw 0000:74:02.0: task prep: SAS port0 not attach device
[ 2511.890079] hisi_sas_v3_hw 0000:74:02.0: task exec: failed[-70]!
[ 2511.896076] sas: executing SMP task failed:-70
[ 2511.900510] sas: done REVALIDATING DOMAIN on port 0, pid:7
[ 2511.905997] sas: REVALIDATING DOMAIN on port 0, pid:7
[ 2511.911042] hisi_sas_v3_hw 0000:74:02.0: task prep: SAS port0 not attach device
[ 2511.918341] hisi_sas_v3_hw 0000:74:02.0: task exec: failed[-70]!
[ 2511.924338] sas: executing SMP task failed:-70
[ 2511.928771] sas: done REVALIDATING DOMAIN on port 0, pid:7
[ 2511.935668] hisi_sas_v3_hw 0000:74:02.0: dev[29:1] is gone
[ 2511.941163] hisi_sas_v3_hw 0000:74:02.0: DQE_AXI_R_ERR error (0x40800) found!
[ 2511.941173] arm-smmu-v3 arm-smmu-v3.3.auto: event 0x10 received:
[ 2512.003017] {91}[Hardware Error]: Hardware error from APEI Generic Hardware Error Source: 0
[ 2512.003019] {91}[Hardware Error]: event severity: recoverable
[ 2512.003021] {91}[Hardware Error]: Error 0, type: recoverable
[ 2512.003022] {91}[Hardware Error]: section type: unknown, 1f8161e1-55d6-41e6-bd10-7afd1dc5f7c5
[ 2512.003023] {91}[Hardware Error]: section length: 0x28
[ 2512.003026] {91}[Hardware Error]: 00000000: 000003ff 00000100 0000000f 00000000 ................
[ 2512.003027] {91}[Hardware Error]: 00000010: 00100000 00040000 00000000 00000000 ................
[ 2512.003028] {91}[Hardware Error]: 00000020: 00000000 00000000 ........
[ 2512.005832] hisi_sas_v3_hw 0000:74:02.0: read dqe poison error (0x40800) found!
[ 2512.005837] hisi_sas_v3_hw 0000:74:02.0: controller resetting...
[ 2512.005838] hisi_sas_v3_hw 0000:74:02.0: read dqe poison error (0x40000) found!
[ 2512.011830] arm-smmu-v3 arm-smmu-v3.3.auto: 0x0000741000000010
[ 2512.098504] arm-smmu-v3 arm-smmu-v3.3.auto: 0x0000120800000080
[ 2512.104417] arm-smmu-v3 arm-smmu-v3.3.auto: 0x000000f000035380
[ 2512.110328] arm-smmu-v3 arm-smmu-v3.3.auto: 0x000000f000035000
[ 2518.082601] hisi_sas_v3_hw 0000:74:02.0: internal task abort: timeout and not done.
[ 2518.090249] hisi_sas_v3_hw 0000:74:02.0: dev gone: release remain resources anyway.
[ 2611.929067] sd 3:0:14:0: [sdb] tag#25 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2611.937418] sd 3:0:14:0: [sdb] tag#25 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2611.946719] blk_update_request: I/O error, dev sdb, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2611.956945] sd 3:0:14:0: [sdb] tag#269 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2611.965376] sd 3:0:14:0: [sdb] tag#269 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2611.974762] blk_update_request: I/O error, dev sdb, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2611.984582] Buffer I/O error on dev sdb, logical block 0, async page read
[ 2611.991791] sd 3:0:13:0: [sda] tag#77 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2612.000138] sd 3:0:13:0: [sda] tag#77 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2612.009438] blk_update_request: I/O error, dev sda, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2612.019642] sd 3:0:13:0: [sda] tag#12 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2612.027986] sd 3:0:13:0: [sda] tag#12 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2612.037285] blk_update_request: I/O error, dev sda, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2612.047103] Buffer I/O error on dev sda, logical block 0, async page read
[ 2612.054114] sd 3:0:16:0: [sdd] tag#20 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2612.062457] sd 3:0:16:0: [sdd] tag#20 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2612.071754] blk_update_request: I/O error, dev sdd, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2612.082075] sd 3:0:16:0: [sdd] tag#23 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2612.090420] sd 3:0:16:0: [sdd] tag#23 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2612.099719] blk_update_request: I/O error, dev sdd, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2612.109539] Buffer I/O error on dev sdd, logical block 0, async page read
[ 2612.116625] sd 3:0:15:0: [sdc] tag#22 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2612.124968] sd 3:0:15:0: [sdc] tag#22 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2612.134264] blk_update_request: I/O error, dev sdc, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2612.144469] sd 3:0:15:0: [sdc] tag#199 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2612.152899] sd 3:0:15:0: [sdc] tag#199 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2612.162283] blk_update_request: I/O error, dev sdc, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2612.172102] Buffer I/O error on dev sdc, logical block 0, async page read
[ 2612.179113] sd 3:0:17:0: [sde] tag#316 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2612.187542] sd 3:0:17:0: [sde] tag#316 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2612.196926] blk_update_request: I/O error, dev sde, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2612.207154] sd 3:0:17:0: [sde] tag#13 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2612.215500] sd 3:0:17:0: [sde] tag#13 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2612.224799] blk_update_request: I/O error, dev sde, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2612.234619] Buffer I/O error on dev sde, logical block 0, async page read
[ 2612.241819] Buffer I/O error on dev sdg, logical block 0, async page read
[ 2612.248864] Buffer I/O error on dev sdf, logical block 0, async page read
[ 2612.255963] Buffer I/O error on dev sdh, logical block 0, async page read
[ 2612.263028] Buffer I/O error on dev sdj, logical block 0, async page read
[ 2612.270018] Buffer I/O error on dev sdk, logical block 0, async page read
HGC_IOST_POISON_INTR
[ 2671.170607] INFO: task kworker/u256:0:7 blocked for more than 120 seconds.
[ 2671.177472] Not tainted 5.3.0-rc4-gdbb5564 #1
[ 2671.182343] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[ 2671.190164] kworker/u256:0 D 0 7 2 0x00000028
[ 2671.195649] Workqueue: 0000:74:02.0 hisi_sas_rst_work_handler [hisi_sas_main]
[ 2671.202776] Call trace:
[ 2671.205212] __switch_to+0xbc/0x218
[ 2671.208694] __schedule+0x1ec/0x548
[ 2671.212172] schedule+0x40/0xd0
[ 2671.215306] schedule_timeout+0x200/0x378
[ 2671.219305] __down+0x78/0xc8
[ 2671.222260] down+0x54/0x70
[ 2671.225047] hisi_sas_controller_reset_prepare+0x2c/0x98 [hisi_sas_main]
[ 2671.231740] hisi_sas_controller_reset+0xe4/0x168 [hisi_sas_main]
[ 2671.237823] hisi_sas_rst_work_handler+0x24/0x30 [hisi_sas_main]
[ 2671.243821] process_one_work+0x1ec/0x470
[ 2671.247822] worker_thread+0x48/0x458
[ 2671.251474] kthread+0x130/0x138
[ 2671.254694] ret_from_fork+0x10/0x1c
[ 2671.258424] INFO: task kworker/u256:2:6203 blocked for more than 120 seconds.
[ 2671.265553] Not tainted 5.3.0-rc4-gdbb5564 #1
[ 2671.270422] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[ 2671.278241] kworker/u256:2 D 0 6203 2 0x00000028
[ 2671.283724] Workqueue: 0000:74:02.0_event_q sas_phy_event_worker [libsas]
[ 2671.290500] Call trace:
[ 2671.292938] __switch_to+0xbc/0x218
[ 2671.296417] __schedule+0x1ec/0x548
[ 2671.299894] schedule+0x40/0xd0
[ 2671.303026] schedule_timeout+0x200/0x378
[ 2671.307025] wait_for_common+0xbc/0x178
[ 2671.310850] wait_for_completion+0x28/0x38
[ 2671.314938] clear_itct_v3_hw+0xb0/0xf8 [hisi_sas_v3_hw]
[ 2671.320242] hisi_sas_dev_gone+0xec/0x140 [hisi_sas_main]
[ 2671.325632] sas_notify_lldd_dev_gone+0x74/0xb8 [libsas]
[ 2671.330935] sas_unregister_common_dev+0x2c/0x120 [libsas]
[ 2671.336412] sas_destruct_devices+0x68/0x90 [libsas]
[ 2671.341367] sas_deform_port+0x164/0x1c0 [libsas]
[ 2671.346063] sas_phye_loss_of_signal+0x2c/0x38 [libsas]
[ 2671.351278] sas_phy_event_worker+0x34/0x48 [libsas]
[ 2671.356233] process_one_work+0x1ec/0x470
[ 2671.360233] worker_thread+0x48/0x458
[ 2671.363885] kthread+0x130/0x138
[ 2671.367105] ret_from_fork+0x10/0x1c
[ 2712.558031] scsi_io_completion_action: 14 callbacks suppressed
[ 2712.558037] sd 3:0:14:0: [sdb] tag#17 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.572212] sd 3:0:14:0: [sdb] tag#17 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.581509] print_req_error: 14 callbacks suppressed
[ 2712.581511] blk_update_request: I/O error, dev sdb, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2712.596663] sd 3:0:14:0: [sdb] tag#119 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.605094] sd 3:0:14:0: [sdb] tag#119 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.614479] blk_update_request: I/O error, dev sdb, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2712.624301] buffer_io_error: 2 callbacks suppressed
[ 2712.624304] Buffer I/O error on dev sdb, logical block 0, async page read
[ 2712.636283] sd 3:0:13:0: [sda] tag#18 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.644628] sd 3:0:13:0: [sda] tag#18 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.653927] blk_update_request: I/O error, dev sda, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2712.664256] sd 3:0:13:0: [sda] tag#19 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.672610] sd 3:0:13:0: [sda] tag#19 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.681912] blk_update_request: I/O error, dev sda, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2712.691737] Buffer I/O error on dev sda, logical block 0, async page read
[ 2712.698890] sd 3:0:16:0: [sdd] tag#21 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.707232] sd 3:0:16:0: [sdd] tag#21 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.716530] blk_update_request: I/O error, dev sdd, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2712.726821] sd 3:0:16:0: [sdd] tag#251 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.735251] sd 3:0:16:0: [sdd] tag#251 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.744636] blk_update_request: I/O error, dev sdd, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2712.754454] Buffer I/O error on dev sdd, logical block 0, async page read
[ 2712.761510] sd 3:0:15:0: [sdc] tag#24 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.769853] sd 3:0:15:0: [sdc] tag#24 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.779151] blk_update_request: I/O error, dev sdc, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2712.789490] sd 3:0:15:0: [sdc] tag#45 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.797835] sd 3:0:15:0: [sdc] tag#45 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.807136] blk_update_request: I/O error, dev sdc, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2712.816957] Buffer I/O error on dev sdc, logical block 0, async page read
[ 2712.824034] sd 3:0:17:0: [sde] tag#26 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.832378] sd 3:0:17:0: [sde] tag#26 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.841676] blk_update_request: I/O error, dev sde, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2712.851980] sd 3:0:17:0: [sde] tag#27 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2712.860322] sd 3:0:17:0: [sde] tag#27 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2712.869621] blk_update_request: I/O error, dev sde, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2712.879440] Buffer I/O error on dev sde, logical block 0, async page read
[ 2712.886624] Buffer I/O error on dev sdg, logical block 0, async page read
[ 2712.893806] Buffer I/O error on dev sdf, logical block 0, async page read
[ 2712.900953] Buffer I/O error on dev sdh, logical block 0, async page read
[ 2712.908121] Buffer I/O error on dev sdj, logical block 0, async page read
[ 2712.915274] Buffer I/O error on dev sdk, logical block 0, async page read
HGC_ITCT_POISON_INTR
[ 2792.002609] INFO: task kworker/u256:0:7 blocked for more than 241 seconds.
[ 2792.009476] Not tainted 5.3.0-rc4-gdbb5564 #1
[ 2792.014346] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[ 2792.022167] kworker/u256:0 D 0 7 2 0x00000028
[ 2792.027649] Workqueue: 0000:74:02.0 hisi_sas_rst_work_handler [hisi_sas_main]
[ 2792.034776] Call trace:
[ 2792.037210] __switch_to+0xbc/0x218
[ 2792.040690] __schedule+0x1ec/0x548
[ 2792.044169] schedule+0x40/0xd0
[ 2792.047301] schedule_timeout+0x200/0x378
[ 2792.051300] __down+0x78/0xc8
[ 2792.054254] down+0x54/0x70
[ 2792.057041] hisi_sas_controller_reset_prepare+0x2c/0x98 [hisi_sas_main]
[ 2792.063734] hisi_sas_controller_reset+0xe4/0x168 [hisi_sas_main]
[ 2792.069818] hisi_sas_rst_work_handler+0x24/0x30 [hisi_sas_main]
[ 2792.075815] process_one_work+0x1ec/0x470
[ 2792.079816] worker_thread+0x48/0x458
[ 2792.083468] kthread+0x130/0x138
[ 2792.086689] ret_from_fork+0x10/0x1c
[ 2792.090403] INFO: task kworker/u256:2:6203 blocked for more than 241 seconds.
[ 2792.097530] Not tainted 5.3.0-rc4-gdbb5564 #1
[ 2792.102397] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[ 2792.110217] kworker/u256:2 D 0 6203 2 0x00000028
[ 2792.115701] Workqueue: 0000:74:02.0_event_q sas_phy_event_worker [libsas]
[ 2792.122481] Call trace:
[ 2792.124918] __switch_to+0xbc/0x218
[ 2792.128398] __schedule+0x1ec/0x548
[ 2792.131875] schedule+0x40/0xd0
[ 2792.135007] schedule_timeout+0x200/0x378
[ 2792.139009] wait_for_common+0xbc/0x178
[ 2792.142834] wait_for_completion+0x28/0x38
[ 2792.146922] clear_itct_v3_hw+0xb0/0xf8 [hisi_sas_v3_hw]
[ 2792.152224] hisi_sas_dev_gone+0xec/0x140 [hisi_sas_main]
[ 2792.157615] sas_notify_lldd_dev_gone+0x74/0xb8 [libsas]
[ 2792.162919] sas_unregister_common_dev+0x2c/0x120 [libsas]
[ 2792.168397] sas_destruct_devices+0x68/0x90 [libsas]
[ 2792.173353] sas_deform_port+0x164/0x1c0 [libsas]
[ 2792.178047] sas_phye_loss_of_signal+0x2c/0x38 [libsas]
[ 2792.183264] sas_phy_event_worker+0x34/0x48 [libsas]
[ 2792.188218] process_one_work+0x1ec/0x470
[ 2792.192219] worker_thread+0x48/0x458
[ 2792.195871] kthread+0x130/0x138
[ 2792.199089] ret_from_fork+0x10/0x1c
[ 2813.200483] scsi_io_completion_action: 14 callbacks suppressed
[ 2813.200490] sd 3:0:14:0: [sdb] tag#40 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.214665] sd 3:0:14:0: [sdb] tag#40 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.223961] print_req_error: 14 callbacks suppressed
[ 2813.223963] blk_update_request: I/O error, dev sdb, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2813.239121] sd 3:0:14:0: [sdb] tag#41 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.247464] sd 3:0:14:0: [sdb] tag#41 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.256763] blk_update_request: I/O error, dev sdb, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2813.266583] buffer_io_error: 2 callbacks suppressed
[ 2813.266585] Buffer I/O error on dev sdb, logical block 0, async page read
[ 2813.278478] sd 3:0:13:0: [sda] tag#42 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.286820] sd 3:0:13:0: [sda] tag#42 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.296118] blk_update_request: I/O error, dev sda, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2813.306305] sd 3:0:13:0: [sda] tag#43 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.314646] sd 3:0:13:0: [sda] tag#43 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.323943] blk_update_request: I/O error, dev sda, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2813.333761] Buffer I/O error on dev sda, logical block 0, async page read
[ 2813.340774] sd 3:0:16:0: [sdd] tag#44 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.349116] sd 3:0:16:0: [sdd] tag#44 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.358414] blk_update_request: I/O error, dev sdd, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2813.368596] sd 3:0:16:0: [sdd] tag#46 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.376937] sd 3:0:16:0: [sdd] tag#46 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.386233] blk_update_request: I/O error, dev sdd, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2813.396051] Buffer I/O error on dev sdd, logical block 0, async page read
[ 2813.403048] sd 3:0:15:0: [sdc] tag#47 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.411389] sd 3:0:15:0: [sdc] tag#47 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.420686] blk_update_request: I/O error, dev sdc, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2813.430866] sd 3:0:15:0: [sdc] tag#48 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.439207] sd 3:0:15:0: [sdc] tag#48 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.448504] blk_update_request: I/O error, dev sdc, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2813.458322] Buffer I/O error on dev sdc, logical block 0, async page read
[ 2813.465302] sd 3:0:17:0: [sde] tag#49 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.473643] sd 3:0:17:0: [sde] tag#49 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.482940] blk_update_request: I/O error, dev sde, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2813.493120] sd 3:0:17:0: [sde] tag#49 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2813.501461] sd 3:0:17:0: [sde] tag#49 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2813.510757] blk_update_request: I/O error, dev sde, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2813.520575] Buffer I/O error on dev sde, logical block 0, async page read
[ 2813.527581] Buffer I/O error on dev sdg, logical block 0, async page read
[ 2813.534579] Buffer I/O error on dev sdf, logical block 0, async page read
[ 2813.541554] Buffer I/O error on dev sdh, logical block 0, async page read
[ 2813.548538] Buffer I/O error on dev sdj, logical block 0, async page read
[ 2813.555501] Buffer I/O error on dev sdk, logical block 0, async page read
HGC_ITCT_NCQ_POISON_INTR
[ 2833.607008] scsi_io_completion_action: 38 callbacks suppressed
[ 2833.607014] sd 3:0:14:0: [sdb] tag#0 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.621099] sd 3:0:14:0: [sdb] tag#0 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.630308] print_req_error: 38 callbacks suppressed
[ 2833.630310] blk_update_request: I/O error, dev sdb, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2833.645485] sd 3:0:14:0: [sdb] tag#24 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.653832] sd 3:0:14:0: [sdb] tag#24 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.663131] blk_update_request: I/O error, dev sdb, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2833.672949] buffer_io_error: 14 callbacks suppressed
[ 2833.672952] Buffer I/O error on dev sdb, logical block 0, async page read
[ 2833.685010] sd 3:0:13:0: [sda] tag#12 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.693354] sd 3:0:13:0: [sda] tag#12 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.702653] blk_update_request: I/O error, dev sda, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2833.712866] sd 3:0:13:0: [sda] tag#18 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.721211] sd 3:0:13:0: [sda] tag#18 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.730509] blk_update_request: I/O error, dev sda, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2833.740326] Buffer I/O error on dev sda, logical block 0, async page read
[ 2833.747440] sd 3:0:16:0: [sdd] tag#777 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.755869] sd 3:0:16:0: [sdd] tag#777 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.765253] blk_update_request: I/O error, dev sdd, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2833.775448] sd 3:0:16:0: [sdd] tag#162 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.783877] sd 3:0:16:0: [sdd] tag#162 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.793261] blk_update_request: I/O error, dev sdd, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2833.803078] Buffer I/O error on dev sdd, logical block 0, async page read
[ 2833.810118] sd 3:0:15:0: [sdc] tag#25 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.818460] sd 3:0:15:0: [sdc] tag#25 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.827757] blk_update_request: I/O error, dev sdc, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2833.837963] sd 3:0:15:0: [sdc] tag#79 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.846309] sd 3:0:15:0: [sdc] tag#79 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.855607] blk_update_request: I/O error, dev sdc, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2833.865426] Buffer I/O error on dev sdc, logical block 0, async page read
[ 2833.872496] sd 3:0:17:0: [sde] tag#287 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.880925] sd 3:0:17:0: [sde] tag#287 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.890308] blk_update_request: I/O error, dev sde, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0
[ 2833.900591] sd 3:0:17:0: [sde] tag#92 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2833.908933] sd 3:0:17:0: [sde] tag#92 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2833.918230] blk_update_request: I/O error, dev sde, sector 0 op 0x0:(READ) flags 0x0 phys_seg 1 prio class 0
[ 2833.928047] Buffer I/O error on dev sde, logical block 0, async page read
[ 2833.935153] Buffer I/O error on dev sdg, logical block 0, async page read
[ 2833.942287] Buffer I/O error on dev sdf, logical block 0, async page read
[ 2833.949358] Buffer I/O error on dev sdh, logical block 0, async page read
[ 2833.956464] Buffer I/O error on dev sdj, logical block 0, async page read
[ 2833.963603] Buffer I/O error on dev sdk, logical block 0, async page read
[ 2853.982326] scsi_io_completion_action: 14 callbacks suppressed
[ 2853.982330] sd 3:0:14:0: [sdb] tag#4 UNKNOWN(0x2003) Result: hostbyte=0x04 driverbyte=0x00
[ 2853.996416] sd 3:0:14:0: [sdb] tag#4 CDB: opcode=0x88 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
[ 2854.005626] print_req_error: 14 callbacks suppressed
[ 2854.005627] blk_update_request: I/O error, dev sdb, sector 0 op 0x0:(READ) flags 0x80700 phys_seg 1 prio class 0

[Expected Results]
System runs normally

[Reproducibility]
occasionally

[Additional information]
Hardware: D06 CS
Firmware: NA+I59
Kernel: NA

[Resolution]
To solve the issue, use wait_for_completion_timeout() instead of
wait_for_completion(), and also don't mark the gone device as
SAS_PHY_UNUSED when device gone.
"

scsi: hisi_sas: use wait_for_completion_timeout() when clearing ITCT

dann frazier (dannf) wrote :

If closing/opening phys are required for this error to occur, it does not seem like a scenario that would qualify for an SRU. We will investigate backporting into the 20.04 kernel (which should be v5.4) once it lands in Linus' tree (it is currently in linux-next).

Changed in kunpeng920:
status: New → Triaged

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1853999

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
dann frazier (dannf) on 2019-12-11
Changed in linux (Ubuntu):
status: Incomplete → In Progress
assignee: nobody → dann frazier (dannf)
Ike Panhc (ikepanhc) on 2020-01-07
Changed in kunpeng920:
status: Triaged → In Progress
Ike Panhc (ikepanhc) wrote :
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in kunpeng920:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers